OTBCLI_SOMCLASSIFICATION(1)

NAME
otbcli_SOMClassification - OTB SOMClassification application

DESCRIPTION
This is the SOMClassification application, version 5.2.0 SOM image classification.

Complete documentation: http://www.orfeo-toolbox.org/Applications/SOMClassification.html

  Parameters:

-progress <boolean>
    Report progress

 -in <string> InputImage (mandatory)
 -out <string> [pixel] OutputImage [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint8) (mandatory)

-vm <string> ValidityMask (optional, off by default)

-tp <float> TrainingProbability (optional, on by default, default value is 1)

-ts <int32> TrainingSetSize (optional, off by default)

-som
    <string> [pixel] SOM Map [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (optional, off by default)

-sx <int32> SizeX (optional, on by default, default value is 32)

-sy <int32> SizeY (optional, on by default, default value is 32)

-nx <int32> NeighborhoodX (optional, on by default, default value is 10)

-ny <int32> NeighborhoodY (mandatory, default value is 10)

-ni <int32> NumberIteration (optional, on by default, default value is 5)

-bi <float> BetaInit (optional, on by default, default value is 1)

-bf <float> BetaFinal (optional, on by default, default value is 0.1)

-iv <float> InitialValue (optional, on by default, default value is 0)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-rand
    <int32> set user defined seed (optional, off by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_SOMClassification -in QB_1_ortho.tif -out SOMClassification.tif -tp 1.0 -ts 16384 -sx 32 -sy 32 -nx 10 -ny 10 -ni 5 -bi 1.0 -bf 0.1 -iv 0

SEE ALSO
The full documentation for otbcli_SOMClassification is maintained as a Texinfo manual. If the info and otbcli_SOMClassification programs are properly installed at your site, the command

    info otbcli_SOMClassification

should give you access to the complete manual.